# -*- coding: utf-8 -*-

from __future__ import print_function

import os
from setuptools import setup, find_packages
from os.path import join, dirname

import fileinput
import re
import sys

class self_update():
    def __init__(self):
        self._update_modules(version)
        self._update_docker_env(version)

    def _update_docker_env(self, version):
        # set docker environment
        print("* Updating docker environment file...", file=sys.stderr)
        env_filename = join(dirname(__file__), 'docker', '.env')
        docker_env = open(env_filename, 'w')
        docker_env.write('VERSION=%s\n' % version)
        docker_env.close()
        print("updated docker env file \u2192 [path='%s']" % 'docker/.env',
              file=sys.stderr)

    def _update_modules(self, version):
        modules = {}
        print("* Updating addons files...", file=sys.stderr)
        for pkg in find_packages():
            if pkg != 'openerp':
                next
            for root, dirnames, filenames in os.walk(pkg):
                for filename in filenames:
                    if re.match(r'__(openerp|odoo)__\.py$', filename):
                        filepath = join(root, filename)
                        try:
                            mod_file=fileinput.input(filepath,inplace=True)
                            for line in mod_file:
                                regex = re.compile(r'(^\s+\'version\'\s*:)(.*)$')
                                match = re.match(regex, line)
                                if match:
                                    pattern = match.group(2).strip(' ').strip(',').strip("'")
                                    newline = line.replace(pattern,'%s' % version)
                                    print("updating addon \u2192 [name='%s', version='%s']" % (
                                        ''.join(root.split('/')[-1]),
                                        version),
                                        file=sys.stderr
                                    )
                                    print("%s" % newline.rstrip())
                                else:
                                    print("%s" % line.rstrip())
                        except FileNotFoundError as e:
                            print('Error: %s' % e, file=sys.stderr)
                            pass


exec(open(join(dirname(__file__), 'openerp', 'release.py')).read()) # Load release variables

if sys.argv[1] == 'sdist':
    self_update()

setup(
    name='openerp',
    version=version,
    long_description=long_desc,
)
